org.keycloak.connections.mongo

## Class DefaultMongoConnectionFactoryProvider

- java.lang.Object
- - org.keycloak.connections.mongo.DefaultMongoConnectionFactoryProvider

- All Implemented Interfaces:
    MongoConnectionProviderFactory, ProviderFactory<MongoConnectionProvider>

      public class DefaultMongoConnectionFactoryProvider
      extends Object
      implements MongoConnectionProviderFactory

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMongoConnectionFactoryProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkBooleanOption(String optionName, com.mongodb.MongoClientOptions.Builder builder)`
    `protected void` | `checkIntOption(String optionName, com.mongodb.MongoClientOptions.Builder builder)`
    `void` | `close()`
    `MongoConnectionProvider` | `create(KeycloakSession session)`
    `protected com.mongodb.MongoClientOptions` | `getClientOptions()`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMongoConnectionFactoryProvider

          public DefaultMongoConnectionFactoryProvider()

  - ### Method Detail

    - #### create

          public MongoConnectionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<MongoConnectionProvider>`

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<MongoConnectionProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<MongoConnectionProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<MongoConnectionProvider>`

    - #### getClientOptions

          protected com.mongodb.MongoClientOptions getClientOptions()

    - #### checkBooleanOption

          protected void checkBooleanOption(String optionName,
                                com.mongodb.MongoClientOptions.Builder builder)

    - #### checkIntOption

          protected void checkIntOption(String optionName,
                            com.mongodb.MongoClientOptions.Builder builder)

Copyright © 2015. All Rights Reserved.